/*	rename.c		4/10/92
 *
 * Copyright 1991-1996  Perry R. Ross
 *
 *  This program is free software; you can redistribute it and/or modify 
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License  
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "ldb.h"


/*----------------------------------------------------------------------
 *	rename -- rename a file
 *
 * This function may be used to rename a file if the local C library
 * does not have such a function.  It uses the link and unlink calls,
 * which should be on all systems, but is not atomic like real rename's.
 * This rename is not meant for general use.
 *----------------------------------------------------------------------
 */

int
rename(old,new)
char *old;
char *new;
{

unlink(new);				/* get rid of existing file named NEW */
if (link(old,new) == 0) {		/* make link from OLD to NEW */
	unlink(old);			/* get rid of link to OLD */
	return(0);			/* return success */
	}
else
	return(-1);			/* return failure, leave OLD */
}
